TOP	= ../..
HDRS	= $(TOP)/crash.h $(TOP)/def.h
CSRCS	= table.c trace.c pte.c

include	$(TOP)/Rules.make

OBJS	= $(CSRCS:.c=.o)
CFLAGS	= $(CDEBUG) -I$(TOP) -DNOCONFIG
TARGET	= libarch.a
DEPFILE	= Makefile.dep

all:	$(TARGET)

$(TARGET): $(OBJS)
	$(AR) cr $(TARGET) $(OBJS)

.c.o: $(HDRS)

clean:
	/bin/rm -f $(OBJS) $(TARGET) $(DEPFILE) *~ *.swp

depend:
	makedepend -f- -I$(TOP) -I$(INCDIR) $(CSRCS) > $(DEPFILE)

ifeq ($(wildcard $(DEPFILE)),$(DEPFILE))
include $(DEPFILE)
endif
